Bug 845972 - rpmlint uses wrong magic number for Python 3.3 bytecode
rpmlint uses wrong magic number for Python 3.3 bytecode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 06:49 EDT by Dave Malcolm
Modified: 2012-08-31 17:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-17 21:29:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update the magic number for Python 3.3 bytecode (and the comment) (676 bytes, patch)
2012-08-06 06:49 EDT, Dave Malcolm
no flags Details | Diff

  None (edit)
Description Dave Malcolm 2012-08-06 06:49:58 EDT
Created attachment 602481 [details]
Update the magic number for Python 3.3 bytecode (and the comment)

Description of problem:
rpmlint is currently using magic number 3190 for Python 3.3 bytecode.

However, that's now out-of-date (it was the magic number in 3.3a0), and it should be using 3230 (as of 3.3a4; given that 3.3 is at feature freeze and that I've done most of the mass rebuild for 3.3 in Fedora I'm very much hoping that this magic number will be the one for 3.3 final).

Within Python-3.3.0b1.tar.xz, Python/import.c has this value for the known magic values:
       Python 3.3a4  3230 (revert changes to implicit __class__ closure)

  and within the latest hg it's moved to Lib/importlib/_bootstrap.py ; http://hg.python.org/cpython/file/80a1ae3a1b39/Lib/importlib/_bootstrap.py also contains:
      "Python 3.3a4  3230 (revert changes to implicit __class__ closure)"
(at line 395)

I'm attaching a patch.


Version-Release number of selected component (if applicable):
rpmlint-1.4-7.fc18.noarch

How reproducible:
100%

Steps to Reproduce:
1. yum install python3-six
2. rpmlint python3-six
  
Actual results:
python3-six.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.3/site-packages/__pycache__/six.cpython-33.pyo expected 3190 (3.3), found 3230 (unknown)
python3-six.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.3/site-packages/__pycache__/six.cpython-33.pyc expected 3190 (3.3), found 3230 (unknown)


Expected results:
No warnings about python bytecode.
Comment 1 Ville Skyttä 2012-08-06 09:43:46 EDT
Already fixed upstream, will be in the next release:
http://sourceforge.net/p/rpmlint/code/ci/671bf6d21c6e878e6ee551ee4e2871df8947ac52/
Comment 2 Fedora Update System 2012-08-14 15:57:07 EDT
rpmlint-1.4-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rpmlint-1.4-8.fc16
Comment 3 Fedora Update System 2012-08-14 15:57:24 EDT
rpmlint-1.4-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rpmlint-1.4-8.fc17
Comment 4 Fedora Update System 2012-08-15 18:51:21 EDT
Package rpmlint-1.4-8.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.4-8.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11919/rpmlint-1.4-8.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-08-17 21:29:31 EDT
rpmlint-1.4-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-08-31 17:25:08 EDT
rpmlint-1.4-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.